<!DOCTYPE html>
<html class="h-100" lang="fr">
  <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>

    <base href="{$public_root_url}/"/>
    {block name="head"}{/block}

    <link rel="icon" href="{static_url path="images/favicon.png"}"/>

    <title>{$main_pagetitle}{if $pagetitle} - {$pagetitle}{/if}</title>

    <!-- Bootstrap -->
    <link href="{static_url path="lib/bootstrap-5.2.3/css/bootstrap.min.css"}" rel="stylesheet"/>

    <!-- Font Awesome -->
    <link href="{static_url path="lib/Fork-Awesome-1.2.0/css/fork-awesome.min.css"}" rel="stylesheet"/>

    <link href="{static_url path="css/app.css"}" rel="stylesheet"/>
    {foreach $css as $path}
      <link href="{$path|escape:"quotes"}" rel="stylesheet"/>
    {/foreach}
  </head>

<body {block name="body-attrs"}class="d-flex flex-column h-100"{/block}>

{block name="body"}

  {block name="navbar"}
  <header class="p-3 mb-3 border-bottom">
    <div class="container">
      <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">
        {block name="navbar-brand"}
        <a href="/" class="d-flex align-items-center mb-2 mb-lg-0 text-dark text-decoration-none">
          <img id="logo" src="{static_url path="images/logo.svg"}" alt="Logo" title="Logo"/>
        </a>
        {/block}

        <ul class="pr-2 nav col-12 col-lg-auto me-lg-auto mb-2 justify-content-center mb-md-0">
          {block name="navbar-menu"}
          {/block}
        </ul>

        {block name="navbar-extra-content"}{/block}

        {block name="navbar-user"}
        {if isset($auth_user) && $auth_user}
        <div class="dropdown text-end">
          {block name="navbar-user-name"}
          <a href="#" class="d-block link-dark text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
            <i class="fa fa-user-circle" aria-hidden="true"></i>
            {$auth_user->name|escape:"htmlall"}
          </a>
          {/block}
          {block name="navbar-user-menu"}
          <ul class="dropdown-menu text-small">
            {block name="navbar-user-menu-content"}{/block}
            <li>
              <a class="dropdown-item" href="logout">
                <i class="fas fa-sign-out-alt"></i> {t domain=$CORE_TEXT_DOMAIN}Sign out{/t}
              </a>
            </li>
          </ul>
          {/block}
        </div>
        {/if}
        {/block}
      </div>
    </div>
  </header>
  {/block}

  {block name="main"}
  <main class="flex-shrink-0">
    <div class="container">
      {block name="pagetitle"}{if $pagetitle}<h1 class="mt-5">{$pagetitle}</h1>{/if}{/block}
      {include file='Tpl:errors.tpl'}
      {include file='Tpl:messages.tpl'}
      {block name="content"}{/block}
    </div>
  </main>
  {/block}

  {block name="footer"}
  <footer class="footer mt-auto py-3 bg-light">
    <div class="container text-center">
      {block name="footer-content"}
      <span class="text-muted">
        <a href="https://gitea.zionetrix.net/bn8/eesyphp">EesyPHP</a>
      </span>
      {/block}
    </div>
  </footer>
  {/block}
{/block}


  <!-- Jquery & Bootstrap -->
  <script src="{static_url path="lib/jquery-3.6.3.min.js"}"></script>
  <script src="{static_url path="lib/bootstrap-5.2.3/js/bootstrap.bundle.min.js"}"></script>

  <!-- Other libs & JavaScript scripts -->
{foreach $js as $path}
  <script language="javascript" src="{$path|escape:"quotes"}"></script>
{/foreach}

{if $webstats_js_code}{$webstats_js_code}{/if}
  </body>
</html>
{*
# vim: autoindent expandtab tabstop=2 shiftwidth=2 softtabstop=2
*}
